Page MenuHomePhabricator

Show current Wikidata value in edit modal
Closed, ResolvedPublic13 Story Points

Description

As a Wikidata Bridge tester I want to see which value is currently available on the repository for the value I am attempting to edit in order to see if the connection to the repository is wired up correctly.
At this step it is read-only.

BDD
GIVEN a Wikidata Bridge enabled infobox
WHEN clicking the edit link
THEN a modal opens that shows the current data that is available on the repository for the connected property

Acceptance criteria:

  • clicking the edit link opens a modal showing corresponding data from the repository
  • in the case that there are several values, show them all
  • the modal looks correspond to the one in T226996 Open modal with edit link information
  • if an error comes up it will be shown on the modal

Dependencies
T226996 Open modal with edit link information

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2019, 2:23 PM
darthmon_wmde updated the task description. (Show Details)Jul 3 2019, 8:47 AM
darthmon_wmde updated the task description. (Show Details)
darthmon_wmde updated the task description. (Show Details)Jul 3 2019, 8:51 AM
darthmon_wmde updated the task description. (Show Details)Jul 3 2019, 8:54 AM
darthmon_wmde updated the task description. (Show Details)
darthmon_wmde updated the task description. (Show Details)Jul 3 2019, 8:57 AM
darthmon_wmde set the point value for this task to 13.Jul 3 2019, 9:08 AM
Charlie_WMDE renamed this task from Show current Wikidata value in edit popup to Show current Wikidata value in edit modal.Jul 4 2019, 3:57 PM
Charlie_WMDE updated the task description. (Show Details)
Michael moved this task from To do to Doing on the Wikidata-Bridge-Sprint-1 board.Jul 12 2019, 1:03 PM
Lydia_Pintscher closed this task as Resolved.Jul 31 2019, 10:26 AM
Lydia_Pintscher claimed this task.
Lydia_Pintscher moved this task from Verification to Done on the Wikidata-Bridge-Sprint-3 board.